$LastChangedDate: 27-Juil-2011 $

# CL_kp_E2v

Eccentric anomaly to true anomaly

## Calling Sequence

       v = CL_kp_E2v(ecc,E)

## Description

- Computes true anomaly from eccentric anomaly and eccentricity for elliptical and hyperbolic orbits.

## Parameters

ecc:

  Eccentricity (PxN or Px1)

E:

  Eccentric anomaly [rad] (PxN or Px1)

v:

  True anomaly [rad] (PxN)

## Authors

- CNES - DCT/SB

## Bibliography

- 1) Orbital Mechanics for Engineering Students, H D Curtis, Chapter 3, equation 3.10a

- 2) Mecanique spatiale, CNES - Cepadues 1995, Tome I, section 4.6.6, page 179

## See also

- CL_kp_M2Ecir

- CL_kp_M2E

- CL_kp_v2E

## Examples

    // Reciprocity test
    E=[3.4794 5.7281];
    ecc=[0.37255 0.55];
    v = CL_kp_E2v(ecc,E);
    E2 = CL_kp_v2E(ecc,v);